Check customer tier eligibility
curl --request GET \
--url https://api.kintra.io/api/v1/tenant/{tenantId}/customers/{userId}/tier/{tierId}/eligibility \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kintra.io/api/v1/tenant/{tenantId}/customers/{userId}/tier/{tierId}/eligibility', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kintra.io/api/v1/tenant/{tenantId}/customers/{userId}/tier/{tierId}/eligibility"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"data": {
"eligible": true
},
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}Customers
Check customer tier eligibility
Checks one customer against one tier rule through the Portal API.
See the Gateway API entry for the full description.
GET
/
tenant
/
{tenantId}
/
customers
/
{userId}
/
tier
/
{tierId}
/
eligibility
Check customer tier eligibility
curl --request GET \
--url https://api.kintra.io/api/v1/tenant/{tenantId}/customers/{userId}/tier/{tierId}/eligibility \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kintra.io/api/v1/tenant/{tenantId}/customers/{userId}/tier/{tierId}/eligibility', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kintra.io/api/v1/tenant/{tenantId}/customers/{userId}/tier/{tierId}/eligibility"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"data": {
"eligible": true
},
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}⌘I

